
//登录页面
//点击多选框切换text和password的隐藏和显示
function showHidePassword() {
    $("#text").toggle();
    $("#password").toggle();
}

//text框失去焦点把text框的值赋值给password框
function textBlur() {
    $("#password").val($("#text").val());
}

//password框失去焦点把password框的值赋值给text框
function passwordBlur() {
    $("#text").val($("#password").val());
}

//登录框点击，背景和阴影颜色的变化
function changeColor() {
    $('#submmit').css({"background":"#6193e3","-moz-box-shadow":"0 5px 15px #6193e3","-webkit-box-shadow":"0 5px 15px #6193e3","box-shadow":"0 5px 15px #6193e3"})
}

// 忘记密码弹窗的出现与消失
function forgotPwd() {
    $('.balck-mask').show();
    $('.forgot-password').show();
}

$('.forgot-password .forgot-foot span').click(function () {
    $('.balck-mask').hide();
    $('.forgot-password').hide();
});


// 下级管理页面
$('ul#inferiors-table li.s1 a').click(function () {
    $(this).css({"background":"url('../static/images/icon-s1-more.png') no-repeat center 0.18667rem"}).find('p').css({"color":"#93c1ff"});
});
$('ul#inferiors-table li.s2 a').click(function () {
    $(this).css({"background":"url('../static/images/icon-s2-more.png') no-repeat center 0.18667rem"}).find('p').css({"color":"#93c1ff"});
});
$('ul#inferiors-table li.s3 a').click(function () {
    $(this).css({"background":"url('../static/images/icon-s3-more.png') no-repeat center 0.18667rem"}).find('p').css({"color":"#93c1ff"});
});
$('ul#inferiors-table li.s4 a').click(function () {
    $(this).css({"background":"url('../static/images/icon-s4-more.png') no-repeat center 0.18667rem"}).find('p').css({"color":"#93c1ff"});
});
$('ul#inferiors-table li.s5 a').click(function () {
    $(this).css({"background":"url('../static/images/icon-s5-more.png') no-repeat center 0.18667rem"}).find('p').css({"color":"#93c1ff"});
});


// 可选择产品界面
$('.select .select-wed').click(function () {
    if($(this).hasClass('on')){
        $(this).removeClass('on')
    }else{
        $(this).addClass('on')
    }
});

function changClass(obj) {
    if($(obj).hasClass('on')){
        $(obj).removeClass('on')
    }else{
        $(obj).addClass('on')
    }
    $('.select .select-wed').each(function () {
        if ($(this).hasClass('on')) {
            $('.pro-steps button.xia').removeAttr("disabled").css({"background": "#93c1ff","box-shadow":"0px 2px 12px #BDD7FA","-moz-box-shadow":"0px 2px 12px #BDD7FA;","-webkit-box-shadow":"0px 2px 12px #BDD7FA;"});
            return false;
        } else {
            $('.pro-steps button.xia').attr('disabled', "true").css({"background": "rgb(205,213,225);","box-shadow":"none"});
        }
    })

}

$('.select .select-wed').click(function () {
    $('.select .select-wed').each(function () {
        if ($(this).hasClass('on')) {
            $('.pro-steps button.xia').removeAttr("disabled").css({"background": "#93c1ff","box-shadow":"0px 2px 12px #BDD7FA","-moz-box-shadow":"0px 2px 12px #BDD7FA;","-webkit-box-shadow":"0px 2px 12px #BDD7FA;"});
            return false;
        } else {
            $('.pro-steps button.xia').attr('disabled', "true").css({"background": "rgb(205,213,225);","box-shadow":"none"});
        }
    })
});

// 搜索框的变化

$(".administer-head input").focus(function(){
    $('.administer-head input').css({"transition":"all ease-in .5s","width":"84.85%"});
    $(this).siblings('.head-serach').css({"right":'3.2%'});
    var re_length = $(this).val().length;
    if(re_length >=1 ){
        $(".administer-head").find('.head-remove').css({"opacity":'1'});
    }
}).blur(function(){
    var sd_width = Math.ceil($('.administer-head .head-serach').width())+10;
    $('.administer-head input').css({"transition":"all ease-in .5s","width":"100%"});
    $(this).siblings('.head-serach').css({"right":-sd_width+'px'});
    $(".administer-head").find('.head-remove').css({"opacity":'0'});
});
$(".administer-head").find('input').on('input propertychange',function(){
    var re_length = $(this).val().length;
    if(re_length >=1 ){
        $(".administer-head").find('.head-remove').css({"opacity":'1'});
    }else{
        $(".administer-head").find('.head-remove').css({"opacity":'0'});
    }
});

$(".administer-head .head-remove").click(function () {
   $(this).siblings('input').val('').focus();
});












